locked
windows server 2008 r2 不支援 .net framework 1.1 嗎? RRS feed

  • 問題

  • 版大,您好
    剛將 server 由2003 重安裝系統到 2008 R2 STD
    才發現 .net framework 1.1 下載的系統需求說明中,沒有包含 2008 R2,
    請問可以安裝嗎? 原來的應用程式用 .NET 1.1 開發的.
    有解決的方法嗎?

    另外,支援server extensions 嗎? 就是用 frontpage 可以直接編輯網站的那個功能.

    先謝謝您的回答.
    2010年3月13日 上午 04:24

解答

所有回覆

  • Dear Sir,
    Windows server 2008 R2已內建 .NET Framework 3.5.1,不用含外再加安 .NET 1.1. 原來用.NET 1.1的程式仍可使用.

    Currently Compatible Applications


    $亮晶晶的小欣$ Gary Yuan. http://yuanwenshin.spaces.live.com
    2010年3月13日 上午 04:38
  • .net framework 1.1 下載的系統需求說明中,沒有包含 2008 R2
    請安裝:
    1. .Net Framework 1.1 版可轉散發套件(會出現相容性警告視窗)
    2. .NET Framework 1.1 版繁體中文語言套件
    3. .NET Framework 1.1 SP1(會出現相容性警告視窗)
    4. .NET Framework 1.1 Service Pack 1 CLR 安全性更新(會出現相容性警告視窗)
    支援server extensions 嗎? 就是用 frontpage 可以直接編輯網站的那個功能
    請參考此文:Installing the FrontPage Server Extensions on IIS 7.0 進行安裝,或考慮安裝「WebDAV 發佈」

    ☞ 這裡是「免費的討論區」付費支援服務請造訪 此處享受尊榮服務
    如果回覆對您有幫助,請記得按下標示為解答」
    在本討論區使用正體中文(即繁體中文),是對參與的朋友的一種尊重,因此請用本討論區的語言:正體中文。
    • 已提議為解答 LOLOTA 2010年3月13日 下午 02:07
    • 已標示為解答 eisaFast 2010年3月14日 上午 03:07
    2010年3月13日 上午 08:18
  • 補充 2008 R2 安裝 Framework 1.1
    framework 1.1 安裝後,
    在 IIS 的網站中, 除了將應用程式集區改 ASP.NET 1.1,
    另外在 ISPI 也要加入 asp.net filter,
    路徑在 windows / framework / v1.14../下的 asp.net filter
    2010年3月15日 上午 01:41
  • 所有的 Win64 預設都沒有 .Net 1.x ,都要另外安裝。 Win2008 R2 只有 Win64 ,沒有是正常的。
    論壇是網友平等互助 保證解答請至 微軟技術支援服務
    提問時,錯誤情境描述與錯誤訊息很重要,情境描述包含你做了什麼,預期的結果與實際發生的結果。一個最爛的問法範例:「我的電腦電腦怎麼不能開機?」誰知道你家是不是沒電還是你根本找不到電源鈕。
    2010年3月15日 下午 03:38